package in.techware.carrefour.dbUtils.dao;

import android.arch.persistence.room.Dao;
import android.arch.persistence.room.Delete;
import android.arch.persistence.room.Insert;
import android.arch.persistence.room.OnConflictStrategy;
import android.arch.persistence.room.Query;
import android.arch.persistence.room.Update;

import java.util.List;

import in.techware.carrefour.dbUtils.entity.MinStockEntity;

/**
 * Created by Jemsheer K D on 27 July, 2018.
 * Package in.techware.carrefour.dbUtils.dao
 * Project Carrefour
 */

@Dao
public interface MinStockDao {

    @Query("SELECT * FROM minStock")
    List<MinStockEntity> loadAllMinStocks();

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    void insertAll(List<MinStockEntity> minStockEntityList);


    @Query("select * from minStock where id = :id ORDER BY id DESC LIMIT 1")
    List<MinStockEntity> getMinStock(String id);

    @Query("select * from minStock where sendStatus = 0 ORDER BY id")
    List<MinStockEntity> getAllUnsentMinStock();

    @Query("select * from minStock where sendStatus = 1 ORDER BY id")
    List<MinStockEntity> getAllSentMinStock();

    @Query("DELETE from minStock where sendStatus = 0")
    void deleteAllUnsentMinStock();

    @Query("DELETE from minStock where sendStatus = 1")
    void deleteAllSentMinStock();

    @Query("DELETE FROM minStock")
    void deleteAll();

    @Insert
    long insert(MinStockEntity minStockEntity);

    @Update
    void update(MinStockEntity minStockEntity);

    @Delete
    void delete(MinStockEntity minStockEntity);
}
